Lavalite package that provides tables management facility for the cms.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `bixo/tables`.

    "bixo/tables": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

    Bixo\Tables\Providers\TablesServiceProvider::class,

And also add it to alias

    'Tables'  => Bixo\Tables\Facades\Tables::class,

## Publishing files and migraiting database.

**Migration and seeds**

    php artisan migrate
    php artisan db:seed --class=Bixo\\TablesTableSeeder

**Publishing configuration**

    php artisan vendor:publish --provider="Bixo\Tables\Providers\TablesServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Bixo\Tables\Providers\TablesServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Bixo\Tables\Providers\TablesServiceProvider" --tag="view"


### Web Urls

**Admin**

    http://path-to-route-folder/admin/tables/{modulename}

**User**

    http://path-to-route-folder/user/tables/{modulename}

**Public**

    http://path-to-route-folder/tables


### API endpoints

**List**

    http://path-to-route-folder/api/user/tables/{modulename}
    METHOD: GET

**Create**

    http://path-to-route-folder/api/user/tables/{modulename}
    METHOD: POST

**Edit**

    http://path-to-route-folder/api/user/tables/{modulename}/{id}
    METHOD: PUT

**Delete**

    http://path-to-route-folder/api/user/tables/{modulename}/{id}
    METHOD: DELETE

**Public List**

    http://path-to-route-folder/api/tables/{modulename}
    METHOD: GET

**Public Single**

    http://path-to-route-folder/api/tables/{modulename}/{slug}
    METHOD: GET