<?php

namespace Bixo\Tables\Forms;

class BixoCrmLead
{
    /**
     * Variable to store form configuration.
     *
     * @var collection
     */
    protected $form;

    /**
     * Variable to store form configuration.
     *
     * @var collection
     */
    protected $element;

    /**
     * Initialize the form.
     *
     * @return null
     */
    public function __construct()
    {
        $this->setForm();
    }

    /**
     * Return form elements.
     *
     * @return array.
     */
    public function form($element = 'fields', $grouped = true)
    {
        $item = collect($this->form->get($element));
        if ($element == 'fields' && $grouped == true) {
            return $item->groupBy(['group', 'section']);
        }
        return $item;

    }

    /**
     * Sets the form and form elements.
     * @return null.
     */
    public function setForm()
    {
        $this->form = collect([
            'form' => [
                'store' => [],
                'update' => [],
            ],
            'groups' => [
                'main' => 'Main',
            ],
            'fields' => [
                'agent_id' => [
                    "type" => 'numeric',
                    "label" => trans('tables::bixo_crm_lead.label.agent_id'),
                    "placeholder" => trans('tables::bixo_crm_lead.placeholder.agent_id'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'team_id' => [
                    "type" => 'numeric',
                    "label" => trans('tables::bixo_crm_lead.label.team_id'),
                    "placeholder" => trans('tables::bixo_crm_lead.placeholder.team_id'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'listing_id' => [
                    "type" => 'numeric',
                    "label" => trans('tables::bixo_crm_lead.label.listing_id'),
                    "placeholder" => trans('tables::bixo_crm_lead.placeholder.listing_id'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'category_id' => [
                    "type" => 'numeric',
                    "label" => trans('tables::bixo_crm_lead.label.category_id'),
                    "placeholder" => trans('tables::bixo_crm_lead.placeholder.category_id'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'contact_id' => [
                    "type" => 'numeric',
                    "label" => trans('tables::bixo_crm_lead.label.contact_id'),
                    "placeholder" => trans('tables::bixo_crm_lead.placeholder.contact_id'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'campaign_id' => [
                    "type" => 'numeric',
                    "label" => trans('tables::bixo_crm_lead.label.campaign_id'),
                    "placeholder" => trans('tables::bixo_crm_lead.placeholder.campaign_id'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'offplan_id' => [
                    "type" => 'numeric',
                    "label" => trans('tables::bixo_crm_lead.label.offplan_id'),
                    "placeholder" => trans('tables::bixo_crm_lead.placeholder.offplan_id'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'leadable_id' => [
                    "type" => 'numeric',
                    "label" => trans('tables::bixo_crm_lead.label.leadable_id'),
                    "placeholder" => trans('tables::bixo_crm_lead.placeholder.leadable_id'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'leadable_type' => [
                    "type" => 'text',
                    "label" => trans('tables::bixo_crm_lead.label.leadable_type'),
                    "placeholder" => trans('tables::bixo_crm_lead.placeholder.leadable_type'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'emirate_id' => [
                    "type" => 'numeric',
                    "label" => trans('tables::bixo_crm_lead.label.emirate_id'),
                    "placeholder" => trans('tables::bixo_crm_lead.placeholder.emirate_id'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'location_id' => [
                    "type" => 'numeric',
                    "label" => trans('tables::bixo_crm_lead.label.location_id'),
                    "placeholder" => trans('tables::bixo_crm_lead.placeholder.location_id'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'sublocation_id' => [
                    "type" => 'numeric',
                    "label" => trans('tables::bixo_crm_lead.label.sublocation_id'),
                    "placeholder" => trans('tables::bixo_crm_lead.placeholder.sublocation_id'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'property_id' => [
                    "type" => 'numeric',
                    "label" => trans('tables::bixo_crm_lead.label.property_id'),
                    "placeholder" => trans('tables::bixo_crm_lead.placeholder.property_id'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'lead_type' => [
                    "type" => 'text',
                    "label" => trans('tables::bixo_crm_lead.label.lead_type'),
                    "placeholder" => trans('tables::bixo_crm_lead.placeholder.lead_type'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'ref' => [
                    "type" => 'text',
                    "label" => trans('tables::bixo_crm_lead.label.ref'),
                    "placeholder" => trans('tables::bixo_crm_lead.placeholder.ref'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'ref_source' => [
                    "type" => 'text',
                    "label" => trans('tables::bixo_crm_lead.label.ref_source'),
                    "placeholder" => trans('tables::bixo_crm_lead.placeholder.ref_source'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'name_title' => [
                    "type" => 'text',
                    "label" => trans('tables::bixo_crm_lead.label.name_title'),
                    "placeholder" => trans('tables::bixo_crm_lead.placeholder.name_title'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'name' => [
                    "type" => 'text',
                    "label" => trans('tables::bixo_crm_lead.label.name'),
                    "placeholder" => trans('tables::bixo_crm_lead.placeholder.name'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'sex' => [
                    "type" => 'text',
                    "label" => trans('tables::bixo_crm_lead.label.sex'),
                    "placeholder" => trans('tables::bixo_crm_lead.placeholder.sex'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'source' => [
                    "type" => 'text',
                    "label" => trans('tables::bixo_crm_lead.label.source'),
                    "placeholder" => trans('tables::bixo_crm_lead.placeholder.source'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'account' => [
                    "type" => 'text',
                    "label" => trans('tables::bixo_crm_lead.label.account'),
                    "placeholder" => trans('tables::bixo_crm_lead.placeholder.account'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'email' => [
                    "type" => 'text',
                    "label" => trans('tables::bixo_crm_lead.label.email'),
                    "placeholder" => trans('tables::bixo_crm_lead.placeholder.email'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'phone' => [
                    "type" => 'text',
                    "label" => trans('tables::bixo_crm_lead.label.phone'),
                    "placeholder" => trans('tables::bixo_crm_lead.placeholder.phone'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'mobile' => [
                    "type" => 'text',
                    "label" => trans('tables::bixo_crm_lead.label.mobile'),
                    "placeholder" => trans('tables::bixo_crm_lead.placeholder.mobile'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'title' => [
                    "type" => 'text',
                    "label" => trans('tables::bixo_crm_lead.label.title'),
                    "placeholder" => trans('tables::bixo_crm_lead.placeholder.title'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'contact_at' => [
                    "type" => 'date_time_picker',
                    "label" => trans('tables::bixo_crm_lead.label.contact_at'),
                    "placeholder" => trans('tables::bixo_crm_lead.placeholder.contact_at'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'expiry_at' => [
                    "type" => 'text',
                    "label" => trans('tables::bixo_crm_lead.label.expiry_at'),
                    "placeholder" => trans('tables::bixo_crm_lead.placeholder.expiry_at'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'website' => [
                    "type" => 'text',
                    "label" => trans('tables::bixo_crm_lead.label.website'),
                    "placeholder" => trans('tables::bixo_crm_lead.placeholder.website'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'priority' => [
                    "type" => 'text',
                    "label" => trans('tables::bixo_crm_lead.label.priority'),
                    "placeholder" => trans('tables::bixo_crm_lead.placeholder.priority'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'hot' => [
                    "type" => 'numeric',
                    "label" => trans('tables::bixo_crm_lead.label.hot'),
                    "placeholder" => trans('tables::bixo_crm_lead.placeholder.hot'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'finance' => [
                    "type" => 'text',
                    "label" => trans('tables::bixo_crm_lead.label.finance'),
                    "placeholder" => trans('tables::bixo_crm_lead.placeholder.finance'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'reminder' => [
                    "type" => 'date_time_picker',
                    "label" => trans('tables::bixo_crm_lead.label.reminder'),
                    "placeholder" => trans('tables::bixo_crm_lead.placeholder.reminder'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'listing_type' => [
                    "type" => 'text',
                    "label" => trans('tables::bixo_crm_lead.label.listing_type'),
                    "placeholder" => trans('tables::bixo_crm_lead.placeholder.listing_type'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'customer_type' => [
                    "type" => 'text',
                    "label" => trans('tables::bixo_crm_lead.label.customer_type'),
                    "placeholder" => trans('tables::bixo_crm_lead.placeholder.customer_type'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'min_price' => [
                    "type" => 'numeric',
                    "label" => trans('tables::bixo_crm_lead.label.min_price'),
                    "placeholder" => trans('tables::bixo_crm_lead.placeholder.min_price'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'max_price' => [
                    "type" => 'numeric',
                    "label" => trans('tables::bixo_crm_lead.label.max_price'),
                    "placeholder" => trans('tables::bixo_crm_lead.placeholder.max_price'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'min_area' => [
                    "type" => 'numeric',
                    "label" => trans('tables::bixo_crm_lead.label.min_area'),
                    "placeholder" => trans('tables::bixo_crm_lead.placeholder.min_area'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'max_area' => [
                    "type" => 'numeric',
                    "label" => trans('tables::bixo_crm_lead.label.max_area'),
                    "placeholder" => trans('tables::bixo_crm_lead.placeholder.max_area'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'min_bed' => [
                    "type" => 'numeric',
                    "label" => trans('tables::bixo_crm_lead.label.min_bed'),
                    "placeholder" => trans('tables::bixo_crm_lead.placeholder.min_bed'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'max_bed' => [
                    "type" => 'numeric',
                    "label" => trans('tables::bixo_crm_lead.label.max_bed'),
                    "placeholder" => trans('tables::bixo_crm_lead.placeholder.max_bed'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'description' => [
                    "type" => 'text',
                    "label" => trans('tables::bixo_crm_lead.label.description'),
                    "placeholder" => trans('tables::bixo_crm_lead.placeholder.description'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'notes' => [
                    "type" => 'text',
                    "label" => trans('tables::bixo_crm_lead.label.notes'),
                    "placeholder" => trans('tables::bixo_crm_lead.placeholder.notes'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'qualify' => [
                    "type" => 'radios',
                    "label" => trans('tables::bixo_crm_lead.label.qualify'),
                    "placeholder" => trans('tables::bixo_crm_lead.placeholder.qualify'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'sub_qualify' => [
                    "type" => 'radios',
                    "label" => trans('tables::bixo_crm_lead.label.sub_qualify'),
                    "placeholder" => trans('tables::bixo_crm_lead.placeholder.sub_qualify'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'sub_status' => [
                    "type" => 'text',
                    "label" => trans('tables::bixo_crm_lead.label.sub_status'),
                    "placeholder" => trans('tables::bixo_crm_lead.placeholder.sub_status'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'Nationality' => [
                    "type" => 'text',
                    "label" => trans('tables::bixo_crm_lead.label.Nationality'),
                    "placeholder" => trans('tables::bixo_crm_lead.placeholder.Nationality'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'Language' => [
                    "type" => 'text',
                    "label" => trans('tables::bixo_crm_lead.label.Language'),
                    "placeholder" => trans('tables::bixo_crm_lead.placeholder.Language'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'temp_preferance' => [
                    "type" => 'text',
                    "label" => trans('tables::bixo_crm_lead.label.temp_preferance'),
                    "placeholder" => trans('tables::bixo_crm_lead.placeholder.temp_preferance'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'page_name' => [
                    "type" => 'text',
                    "label" => trans('tables::bixo_crm_lead.label.page_name'),
                    "placeholder" => trans('tables::bixo_crm_lead.placeholder.page_name'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'source_url' => [
                    "type" => 'text',
                    "label" => trans('tables::bixo_crm_lead.label.source_url'),
                    "placeholder" => trans('tables::bixo_crm_lead.placeholder.source_url'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'lng' => [
                    "type" => 'text',
                    "label" => trans('tables::bixo_crm_lead.label.lng'),
                    "placeholder" => trans('tables::bixo_crm_lead.placeholder.lng'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'form_name' => [
                    "type" => 'text',
                    "label" => trans('tables::bixo_crm_lead.label.form_name'),
                    "placeholder" => trans('tables::bixo_crm_lead.placeholder.form_name'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'project_name' => [
                    "type" => 'text',
                    "label" => trans('tables::bixo_crm_lead.label.project_name'),
                    "placeholder" => trans('tables::bixo_crm_lead.placeholder.project_name'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'timing' => [
                    "type" => 'text',
                    "label" => trans('tables::bixo_crm_lead.label.timing'),
                    "placeholder" => trans('tables::bixo_crm_lead.placeholder.timing'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'client_ip' => [
                    "type" => 'text',
                    "label" => trans('tables::bixo_crm_lead.label.client_ip'),
                    "placeholder" => trans('tables::bixo_crm_lead.placeholder.client_ip'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'migrated' => [
                    "type" => 'numeric',
                    "label" => trans('tables::bixo_crm_lead.label.migrated'),
                    "placeholder" => trans('tables::bixo_crm_lead.placeholder.migrated'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'utm_source' => [
                    "type" => 'text',
                    "label" => trans('tables::bixo_crm_lead.label.utm_source'),
                    "placeholder" => trans('tables::bixo_crm_lead.placeholder.utm_source'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'utm_medium' => [
                    "type" => 'text',
                    "label" => trans('tables::bixo_crm_lead.label.utm_medium'),
                    "placeholder" => trans('tables::bixo_crm_lead.placeholder.utm_medium'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'utm_campaign' => [
                    "type" => 'text',
                    "label" => trans('tables::bixo_crm_lead.label.utm_campaign'),
                    "placeholder" => trans('tables::bixo_crm_lead.placeholder.utm_campaign'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'utm_term' => [
                    "type" => 'text',
                    "label" => trans('tables::bixo_crm_lead.label.utm_term'),
                    "placeholder" => trans('tables::bixo_crm_lead.placeholder.utm_term'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'utm_content' => [
                    "type" => 'text',
                    "label" => trans('tables::bixo_crm_lead.label.utm_content'),
                    "placeholder" => trans('tables::bixo_crm_lead.placeholder.utm_content'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'sub_source' => [
                    "type" => 'text',
                    "label" => trans('tables::bixo_crm_lead.label.sub_source'),
                    "placeholder" => trans('tables::bixo_crm_lead.placeholder.sub_source'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'mail_id' => [
                    "type" => 'text',
                    "label" => trans('tables::bixo_crm_lead.label.mail_id'),
                    "placeholder" => trans('tables::bixo_crm_lead.placeholder.mail_id'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'qualified_id' => [
                    "type" => 'numeric',
                    "label" => trans('tables::bixo_crm_lead.label.qualified_id'),
                    "placeholder" => trans('tables::bixo_crm_lead.placeholder.qualified_id'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
            ]
        );

    }
}
