<?php

namespace Bixo\Tables\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class BixoCrmLeadTransformer extends TransformerAbstract
{
    public function transform(\Bixo\Tables\Models\BixoCrmLead $bixo_crm_lead)
    {
        return [
            'id'                => $bixo_crm_lead->getRouteKey(),
            'key'               => [
                'public'    => $bixo_crm_lead->getPublicKey(),
                'route'     => $bixo_crm_lead->getRouteKey(),
            ], 
            'agent_id'          => $bixo_crm_lead->agent_id,
            'team_id'           => $bixo_crm_lead->team_id,
            'listing_id'        => $bixo_crm_lead->listing_id,
            'category_id'       => $bixo_crm_lead->category_id,
            'contact_id'        => $bixo_crm_lead->contact_id,
            'campaign_id'       => $bixo_crm_lead->campaign_id,
            'offplan_id'        => $bixo_crm_lead->offplan_id,
            'leadable_id'       => $bixo_crm_lead->leadable_id,
            'leadable_type'     => $bixo_crm_lead->leadable_type,
            'emirate_id'        => $bixo_crm_lead->emirate_id,
            'location_id'       => $bixo_crm_lead->location_id,
            'sublocation_id'    => $bixo_crm_lead->sublocation_id,
            'property_id'       => $bixo_crm_lead->property_id,
            'lead_type'         => $bixo_crm_lead->lead_type,
            'ref'               => $bixo_crm_lead->ref,
            'ref_source'        => $bixo_crm_lead->ref_source,
            'name_title'        => $bixo_crm_lead->name_title,
            'name'              => $bixo_crm_lead->name,
            'sex'               => $bixo_crm_lead->sex,
            'source'            => $bixo_crm_lead->source,
            'account'           => $bixo_crm_lead->account,
            'email'             => $bixo_crm_lead->email,
            'phone'             => $bixo_crm_lead->phone,
            'mobile'            => $bixo_crm_lead->mobile,
            'title'             => $bixo_crm_lead->title,
            'contact_at'        => $bixo_crm_lead->contact_at,
            'expiry_at'         => $bixo_crm_lead->expiry_at,
            'website'           => $bixo_crm_lead->website,
            'priority'          => $bixo_crm_lead->priority,
            'hot'               => $bixo_crm_lead->hot,
            'finance'           => $bixo_crm_lead->finance,
            'reminder'          => $bixo_crm_lead->reminder,
            'listing_type'      => $bixo_crm_lead->listing_type,
            'customer_type'     => $bixo_crm_lead->customer_type,
            'min_price'         => $bixo_crm_lead->min_price,
            'max_price'         => $bixo_crm_lead->max_price,
            'min_area'          => $bixo_crm_lead->min_area,
            'max_area'          => $bixo_crm_lead->max_area,
            'min_bed'           => $bixo_crm_lead->min_bed,
            'max_bed'           => $bixo_crm_lead->max_bed,
            'description'       => $bixo_crm_lead->description,
            'notes'             => $bixo_crm_lead->notes,
            'qualify'           => $bixo_crm_lead->qualify,
            'sub_qualify'       => $bixo_crm_lead->sub_qualify,
            'sub_status'        => $bixo_crm_lead->sub_status,
            'Nationality'       => $bixo_crm_lead->Nationality,
            'Language'          => $bixo_crm_lead->Language,
            'temp_preferance'   => $bixo_crm_lead->temp_preferance,
            'page_name'         => $bixo_crm_lead->page_name,
            'source_url'        => $bixo_crm_lead->source_url,
            'lng'               => $bixo_crm_lead->lng,
            'form_name'         => $bixo_crm_lead->form_name,
            'project_name'      => $bixo_crm_lead->project_name,
            'timing'            => $bixo_crm_lead->timing,
            'client_ip'         => $bixo_crm_lead->client_ip,
            'migrated'          => $bixo_crm_lead->migrated,
            'utm_source'        => $bixo_crm_lead->utm_source,
            'utm_medium'        => $bixo_crm_lead->utm_medium,
            'utm_campaign'      => $bixo_crm_lead->utm_campaign,
            'utm_term'          => $bixo_crm_lead->utm_term,
            'utm_content'       => $bixo_crm_lead->utm_content,
            'sub_source'        => $bixo_crm_lead->sub_source,
            'mail_id'           => $bixo_crm_lead->mail_id,
            'qualified_id'      => $bixo_crm_lead->qualified_id,
            'user_id'           => $bixo_crm_lead->user_id,
            'user_type'         => $bixo_crm_lead->user_type,
            'deleted_at'        => $bixo_crm_lead->deleted_at,
            'url'               => [
                'public'    => trans_url('tables/'.$bixo_crm_lead->getPublicKey()),
                'user'      => guard_url('tables/bixo_crm_lead/'.$bixo_crm_lead->getRouteKey()),
            ], 
            'status'            => trans('app.'.$bixo_crm_lead->status),
            'created_at'        => format_date($bixo_crm_lead->created_at),
            'updated_at'        => format_date($bixo_crm_lead->updated_at),
        ];
    }
}